import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results
name = "../../scikit-learn/results/bench_plot_gridsearch_cache.csv"
df = pandas.read_csv(name)
plt.close('all')

plot_bench_results(df, row_cols=['N'],
                   col_cols=['n_jobs'], x_value='dim',
                   hue_cols=['test'],
                   cmp_col_values='test',
                   title="GridSearchCV\nBenchmark caching strategies")
plt.show()